Page MenuHomePhabricator

[[Media: ]] links are parsed as [[File: ]] links
Closed, ResolvedPublic

Description

If I use [[Media:Example.png]] I want a direct link to the file, not to the file description page. That's how it works in normal wikitext, but not in Flow boards which link to the file description page instead.

See Topic:Tfpgyiavot1p9r11

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 22 2016, 1:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope added a subscriber: Catrope.

This is a bug in Parsoid: the same thing happens if you edit a page with a [[Media:]] link in VE, right click it and choose "open in a new tab".

Catrope renamed this task from Flow: [[Media: ]] links are parsed as [[File: ]] links to [[Media: ]] links are parsed as [[File: ]] links.Nov 22 2016, 1:51 AM
ssastry triaged this task as High priority.Nov 22 2016, 5:01 AM
ssastry moved this task from Backlog to Next Up on the Parsoid board.Dec 5 2016, 5:25 PM

Change 325341 had a related patch set uploaded (by Subramanya Sastry):
WIP: T151277: Quick first pass to support [[Media:Foo.bar|..]]

https://gerrit.wikimedia.org/r/325341

ssastry claimed this task.Dec 5 2016, 7:15 PM
ssastry moved this task from Next Up to In Progress on the Parsoid board.

Change 325341 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T151277: Handle [[Media:Foo.jpg]] syntax correctly

https://gerrit.wikimedia.org/r/325341

Mentioned in SAL (#wikimedia-operations) [2017-05-09T18:26:57Z] <subbu> updated Parsoid to 9d8badc8 (T151277)

ssastry closed this task as Resolved.May 9 2017, 6:27 PM
ssastry removed a project: Patch-For-Review.
ssastry removed a subscriber: gerritbot.